ContextHandler (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.ContextHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ContextHandler

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextHandler

All Implemented Interfaces:
  java.io.Serializable

    public class ContextHandler

extends ResourceBase
implements java.io.Serializable

Representation of a handler reference for a web service, as represented in a `<handler>` element in the deployment descriptor.

Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextHandler()`

Method Summary
`void` | `addPortName(java.lang.String portName)`
`void` | `addSoapHeaders(java.lang.String localpart, java.lang.String namespaceuri)`
`void` | `addSoapRole(java.lang.String soapRole)`
`java.lang.String` | `getHandlerclass()`
`java.util.Iterator` | `getLocalparts()`
`java.lang.String` | `getNamespaceuri(java.lang.String localpart)`
`java.lang.String` | `getPortName(int i)`
`int` | `getPortNamesSize()`
`java.lang.String` | `getSoapRole(int i)`
`int` | `getSoapRolesSize()`
`void` | `setHandlerclass(java.lang.String handlerclass)`
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set a configured property.
`java.lang.String` | `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextHandler

    public ContextHandler()

Method Detail

### getHandlerclass

    public java.lang.String getHandlerclass()

### setHandlerclass

    public void setHandlerclass(java.lang.String handlerclass)

### getLocalparts

    public java.util.Iterator getLocalparts()

### getNamespaceuri

    public java.lang.String getNamespaceuri(java.lang.String localpart)

### addSoapHeaders

    public void addSoapHeaders(java.lang.String localpart,
                               java.lang.String namespaceuri)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Set a configured property.

### getSoapRole

    public java.lang.String getSoapRole(int i)

### getSoapRolesSize

    public int getSoapRolesSize()

### addSoapRole

    public void addSoapRole(java.lang.String soapRole)

### getPortName

    public java.lang.String getPortName(int i)

### getPortNamesSize

    public int getPortNamesSize()

### addPortName

    public void addPortName(java.lang.String portName)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.